@extends('layouts.master')
  @section('page_title')
      @if(isset($page_title))
          {{ $page_title }}
      @endif
  @endsection
@section('css')
<link href="{!! url('public/assets/vendors/tabulator/css/bootstrap/tabulator_bootstrap.css') !!}" type="text/css" rel="stylesheet">
@endsection
@section('content')
  <div class="">
      <div class="page-title">
        <div class="title_left">
          <div class="title_left">
            <ol class="breadcrumb">
              <li><a href="{!! url('dashboard') !!}">Dashboard</a></li>
              <li class="active">Network Operators</li>
            </ol>
          </div>
        </div>

        <div class="title_right">
          <div class="row">
            <form method="GET" action="{!! url('mnos') !!}">
              <div class="col-md-5 col-sm-5 col-xs-12 form-group">
                <div style="margin-top:1px; margin-right:-90px;" class="top_search">
                </div>
              </div>
              <div class="col-md-5 col-sm-5 col-xs-12 form-group pull-right top_search" style="margin-top: -2px;">
                <div class="input-group">
                  <input type="text" name="keyword" class="form-control" id="keywordField" placeholder="Keyword here...">
                  <span class="input-group-btn">
                    <button type="submit" class="btn btn-primary" style="color: #fff;" type="button">Go!</button>
                  </span>
                </div>
              </div>
            </form>
          </div>
          <div class="row">
            <div class="col-sm-12">
              <div class="pull-right"></div>
            </div>
          </div>
        </div>
      </div>

      <div class="clearfix"></div>
      <div class="row">
                    @include('commons.notifications')
        <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
          <div class="x_title">
            <h2> Network Operators </h2>
            <div class="pull-right">
                <a class="btn btn-primary btn-sm" href="{!! url('mnos/create') !!}"><i class="fa fa-plus-circle"></i> Add Network Operator
                </a>
            </div>
            <div class="clearfix"></div>
          </div>

          <div class="x_content">
            <div id="mnosTable"></div>
          </div>
        </div>
      </div>
    </div>
</div>

@endsection

@section('javascript')
<script src="{!! url('public/assets/vendors/tabulator/js/tabulator.js') !!}"></script>
  <script type="text/javascript">
  $(document).ready(function(){
    function link(cell, formatterParams){
      var url = cell.getValue();
      var rowID = cell.getData().id
      return "<a href='"+ base_url + "/mnos/"+rowID+"' class='btn btn-link'>"+url+"</a>";
    }
    var table = new Tabulator("#mnosTable", {
        ajaxURL: "mnos/all",
        paginationSize: 15,
        layout: "fitColumns",
        rowFormatter:function(row){
            if(row.getData().connection_status == "active"){
                //row.getElement().style.backgroundColor = "#1e3b20";
                row.getElement().style.backgroundColor = "red";
            }
        },
        pagination: "remote",
        selectable: false,
        printAsHtml: true,
        ajaxLoaderLoading: $('#logo_spinner').html(),
        columns: [
            {
                title: "Name",
                field: "networkName",
                sorter: "string",
                formatter:link,
            },
            {
                title: "Country",
                field: "country",
                sorter: "string",
            },
            {
                title: "Status",
                field: "connection_status",
                sorter: "string",
                formatter:function(cell, formatterParams){
                  var value = cell.getValue();
                  if(value == 'Active'){
                      return "<span style='color:#3FB449; font-weight:bold;'>" + value + "</span>";
                  }
                  else if(value == 'Pending'){
                    return "<span style='color:#f0ad4e; font-weight:bold;'>" + value + "</span>";
                  }
                  else if(value == null || value == ''){
                    //return "None";
                    return "<span style='color:#d9534f; font-weight:bold;'>Not Specified</span>";
                  }
                  else{
                    return "<span style='color:#d9534f; font-weight:bold;'>" + value + "</span>";
                  }
            }},
            {
                title: "Contract Validity",
                field: "contract_validity",
                sorter: "date",
            },
            {
                title: "Account Manager",
                field: "accountManager",
                sorter: "string",
            },
            {
                title: "Last Modified By",
                field: "modifiedBy",
                sorter: "string",
            }
        ],

        rowClick:function(e, row){
        var userID = row.getData().id;
        console.log(userID);
        //$('#userEditModal').modal('show');
        },
    });

    $('#keywordField').on('keyup', function(){
      console.log('up');
      var keyword = $(this).val();
      table.setData("mnos/all?keyword=" + keyword);

    });
  });
  </script>


@endsection
